com.thinkaurelius.titan.graphdb.database.serialize

## Class StandardSerializer

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.serialize.StandardAttributeHandling
  - - com.thinkaurelius.titan.graphdb.database.serialize.StandardSerializer

- All Implemented Interfaces:
    AttributeHandling, Serializer

      public class StandardSerializer
      extends StandardAttributeHandling
      implements Serializer

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSerializer()`
    `StandardSerializer(boolean allowCustomSerialization)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataOutput` | `getDataOutput(int initialCapacity)`
    `Object` | `readClassAndObject(ReadBuffer buffer)`
    `<T> T` | `readObject(ReadBuffer buffer, Class<T> type)`
    `<T> T` | `readObjectByteOrder(ReadBuffer buffer, Class<T> type)`
    `<T> T` | `readObjectNotNull(ReadBuffer buffer, Class<T> type)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.database.serialize.StandardAttributeHandling

      `convert, getDefaultRegistrations, getSerializer, isOrderPreservingDatatype, registerClass, verifyAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.database.serialize.AttributeHandling

      `convert, isOrderPreservingDatatype, registerClass, verifyAttribute`

- - ### Constructor Detail

    - #### StandardSerializer

          public StandardSerializer(boolean allowCustomSerialization)

    - #### StandardSerializer

          public StandardSerializer()

  - ### Method Detail

    - #### readObjectByteOrder

          public <T> T readObjectByteOrder(ReadBuffer buffer,
                                  Class<T> type)

      Specified by:
        `readObjectByteOrder` in interface `Serializer`

    - #### readObject

          public <T> T readObject(ReadBuffer buffer,
                         Class<T> type)

      Specified by:
        `readObject` in interface `Serializer`

    - #### readObjectNotNull

          public <T> T readObjectNotNull(ReadBuffer buffer,
                                Class<T> type)

      Specified by:
        `readObjectNotNull` in interface `Serializer`

    - #### readClassAndObject

          public Object readClassAndObject(ReadBuffer buffer)

      Specified by:
        `readClassAndObject` in interface `Serializer`

    - #### getDataOutput

          public DataOutput getDataOutput(int initialCapacity)

      Specified by:
        `getDataOutput` in interface `Serializer`

Copyright © 2012–2014. All rights reserved.